Issue #13942 has been updated by nksr (nk sr).


nobu (Nobuyoshi Nakada) wrote:
> Seems a problem related to therubyracer.
> 
> ```
> -- C level backtrace information -------------------------------------------
> /usr/local/bin/ruby(rb_vm_bugreport+0x4f8) [0x8023aa88] vm_dump.c:697
> /usr/local/bin/ruby(rb_bug_context+0x4f) [0x802a95df] error.c:425
> /usr/local/bin/ruby(sigill+0x39) [0x801b2079] signal.c:891
> linux-gate.so.1 [0xb7786ba0]
> /usr/local/lib/ruby/gems/2.2.0/gems/therubyracer-0.12.3/lib/v8/init.so(_ZN2v88internal2OS16MaxVirtualMemoryEv+0x1b) [0xb66d6b3b]
> /usr/local/lib/ruby/gems/2.2.0/gems/therubyracer-0.12.3/lib/v8/init.so(_ZN2v88internal4HeapC2Ev+0x4bd) [0xb6493bfd]
> /usr/local/lib/ruby/gems/2.2.0/gems/therubyracer-0.12.3/lib/v8/init.so(_ZN2v88internal7IsolateC1Ev+0x22) [0xb64fc332]
> /usr/local/lib/ruby/gems/2.2.0/gems/therubyracer-0.12.3/lib/v8/init.so(_ZN2v88internal7Isolate20EnsureDefaultIsolateEv+0xb3) [0xb64fcc13]
> /lib/ld-linux.so.2 [0xb7795f96]
> /lib/ld-linux.so.2 [0xb77960bd]
> /lib/ld-linux.so.2 [0xb779a54c]
> /lib/ld-linux.so.2 [0xb7795e35]
> /lib/ld-linux.so.2 [0xb7799c61]
> /lib/libdl.so.2 [0xb76dcc05]
> /lib/ld-linux.so.2 [0xb7795e35]
> /lib/libdl.so.2 [0xb76dd32c]
> /lib/libdl.so.2(dlopen+0x3d) [0xb76dccad]
> /usr/local/bin/ruby(dln_load+0x97) [0x80256c87] dln.c:1328
> /usr/local/bin/ruby(load_ext+0x32) [0x800f4802] load.c:951
> ```



nobu (Nobuyoshi Nakada) wrote:
> Seems a problem related to therubyracer.
> 
> ```
> -- C level backtrace information -------------------------------------------
> /usr/local/bin/ruby(rb_vm_bugreport+0x4f8) [0x8023aa88] vm_dump.c:697
> /usr/local/bin/ruby(rb_bug_context+0x4f) [0x802a95df] error.c:425
> /usr/local/bin/ruby(sigill+0x39) [0x801b2079] signal.c:891
> linux-gate.so.1 [0xb7786ba0]
> /usr/local/lib/ruby/gems/2.2.0/gems/therubyracer-0.12.3/lib/v8/init.so(_ZN2v88internal2OS16MaxVirtualMemoryEv+0x1b) [0xb66d6b3b]
> /usr/local/lib/ruby/gems/2.2.0/gems/therubyracer-0.12.3/lib/v8/init.so(_ZN2v88internal4HeapC2Ev+0x4bd) [0xb6493bfd]
> /usr/local/lib/ruby/gems/2.2.0/gems/therubyracer-0.12.3/lib/v8/init.so(_ZN2v88internal7IsolateC1Ev+0x22) [0xb64fc332]
> /usr/local/lib/ruby/gems/2.2.0/gems/therubyracer-0.12.3/lib/v8/init.so(_ZN2v88internal7Isolate20EnsureDefaultIsolateEv+0xb3) [0xb64fcc13]
> /lib/ld-linux.so.2 [0xb7795f96]
> /lib/ld-linux.so.2 [0xb77960bd]
> /lib/ld-linux.so.2 [0xb779a54c]
> /lib/ld-linux.so.2 [0xb7795e35]
> /lib/ld-linux.so.2 [0xb7799c61]
> /lib/libdl.so.2 [0xb76dcc05]
> /lib/ld-linux.so.2 [0xb7795e35]
> /lib/libdl.so.2 [0xb76dd32c]
> /lib/libdl.so.2(dlopen+0x3d) [0xb76dccad]
> /usr/local/bin/ruby(dln_load+0x97) [0x80256c87] dln.c:1328
> /usr/local/bin/ruby(load_ext+0x32) [0x800f4802] load.c:951
> ```



nobu (Nobuyoshi Nakada) wrote:
> Seems a problem related to therubyracer.
> 
> ```
> -- C level backtrace information -------------------------------------------
> /usr/local/bin/ruby(rb_vm_bugreport+0x4f8) [0x8023aa88] vm_dump.c:697
> /usr/local/bin/ruby(rb_bug_context+0x4f) [0x802a95df] error.c:425
> /usr/local/bin/ruby(sigill+0x39) [0x801b2079] signal.c:891
> linux-gate.so.1 [0xb7786ba0]
> /usr/local/lib/ruby/gems/2.2.0/gems/therubyracer-0.12.3/lib/v8/init.so(_ZN2v88internal2OS16MaxVirtualMemoryEv+0x1b) [0xb66d6b3b]
> /usr/local/lib/ruby/gems/2.2.0/gems/therubyracer-0.12.3/lib/v8/init.so(_ZN2v88internal4HeapC2Ev+0x4bd) [0xb6493bfd]
> /usr/local/lib/ruby/gems/2.2.0/gems/therubyracer-0.12.3/lib/v8/init.so(_ZN2v88internal7IsolateC1Ev+0x22) [0xb64fc332]
> /usr/local/lib/ruby/gems/2.2.0/gems/therubyracer-0.12.3/lib/v8/init.so(_ZN2v88internal7Isolate20EnsureDefaultIsolateEv+0xb3) [0xb64fcc13]
> /lib/ld-linux.so.2 [0xb7795f96]
> /lib/ld-linux.so.2 [0xb77960bd]
> /lib/ld-linux.so.2 [0xb779a54c]
> /lib/ld-linux.so.2 [0xb7795e35]
> /lib/ld-linux.so.2 [0xb7799c61]
> /lib/libdl.so.2 [0xb76dcc05]
> /lib/ld-linux.so.2 [0xb7795e35]
> /lib/libdl.so.2 [0xb76dd32c]
> /lib/libdl.so.2(dlopen+0x3d) [0xb76dccad]
> /usr/local/bin/ruby(dln_load+0x97) [0x80256c87] dln.c:1328
> /usr/local/bin/ruby(load_ext+0x32) [0x800f4802] load.c:951
> ```


S....I think like so...but i tried various versions of therubyracer gem....all results me same



----------------------------------------
Bug #13942: Illegal instruction at 0xb66d6b3b ___bug
https://bugs.ruby-lang.org/issues/13942#change-66952

* Author: nksr (nk sr)
* Status: Third Party's Issue
* Priority: Normal
* Assignee: 
* Target version: 
* ruby -v: ruby 2.2.8p477 (2017-09-14 revision 59906) [i586-linux]
* Backport: 2.2: UNKNOWN, 2.3: UNKNOWN, 2.4: UNKNOWN
----------------------------------------
See bug-13942.log

---Files--------------------------------
bug-13942.log (106 KB)


-- 
https://bugs.ruby-lang.org/

Unsubscribe: <mailto:ruby-core-request / ruby-lang.org?subject=unsubscribe>
<http://lists.ruby-lang.org/cgi-bin/mailman/options/ruby-core>